"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.OptionsRadio = void 0;

var _react = _interopRequireDefault(require("react"));

var _uiSchema = require("@ui-schema/ui-schema");

var _tracing = require("scheduler/tracing");

var _reactUid = require("react-uid");

var _immutable = require("immutable");

var _LocaleHelperText = require("../Component/LocaleHelperText");

var RadioInput = function RadioInput(_ref) {
  var classForm = _ref.classForm,
      enumName = _ref.enumName,
      classLabel = _ref.classLabel,
      required = _ref.required,
      classFormControl = _ref.classFormControl,
      value = _ref.value,
      _onChange = _ref.onChange,
      storeKeys = _ref.storeKeys,
      label = _ref.label;
  var uid = (0, _reactUid.useUID)();
  return _react["default"].createElement("div", {
    className: classForm.join(' '),
    key: enumName
  }, _react["default"].createElement("input", {
    required: required,
    id: 'uis-' + uid,
    type: "radio",
    className: classFormControl.join(' '),
    checked: enumName === value,
    onChange: function onChange() {
      return (0, _tracing.unstable_trace)("switch onchange", performance.now(), function () {
        _onChange((0, _uiSchema.updateValue)(storeKeys, enumName));
      });
    }
  }), _react["default"].createElement("label", {
    className: classLabel.join(' '),
    htmlFor: 'uis-' + uid
  }, label));
};

var OptionsRadio = function OptionsRadio(_ref2) {
  var schema = _ref2.schema,
      value = _ref2.value,
      onChange = _ref2.onChange,
      storeKeys = _ref2.storeKeys,
      showValidity = _ref2.showValidity,
      required = _ref2.required,
      errors = _ref2.errors,
      ownKey = _ref2.ownKey;
  var enumVal = schema.get('enum');
  if (!enumVal) return null;
  var classForm = ["custom-control", "custom-radio"];
  var classLabel = ["custom-control-label", "text-light"];
  var classFormControl = ["custom-control-input"];

  if (showValidity && errors.size) {
    classFormControl.push('is-invalid');
  }

  if (showValidity && !errors.size) {
    classForm.push('was-validated');
  }

  return _react["default"].createElement(_react["default"].Fragment, null, _react["default"].createElement("label", null, _react["default"].createElement(_uiSchema.TransTitle, {
    schema: schema,
    storeKeys: storeKeys,
    ownKey: ownKey
  })), enumVal ? enumVal.map(function (enum_name) {
    return _react["default"].createElement(RadioInput, {
      key: enum_name,
      classForm: classForm,
      enumName: enum_name,
      classLabel: classLabel,
      required: required,
      ownKey: ownKey,
      classFormControl: classFormControl,
      value: value,
      onChange: onChange,
      storeKeys: storeKeys,
      label: _react["default"].createElement(_uiSchema.Trans, {
        schema: schema.get('t'),
        text: storeKeys.insert(0, 'widget').concat((0, _immutable.List)(['enum', enum_name])).join('.'),
        context: (0, _immutable.Map)({
          'relative': (0, _immutable.List)(['enum', enum_name])
        }),
        fallback: (0, _uiSchema.beautifyKey)(enum_name)
      })
    });
  }).valueSeq() : null, _react["default"].createElement(_LocaleHelperText.ValidityHelperText, {
    errors: errors,
    showValidity: showValidity,
    schema: schema
  }));
};

exports.OptionsRadio = OptionsRadio;